--- a/arch/arm/boot/dts/kirkwood-nsa310s.dts
+++ b/arch/arm/boot/dts/kirkwood-nsa310s.dts
@@ -16,6 +16,13 @@
 	model = "ZyXEL NSA310S";
 	compatible = "zyxel,nsa310s", "marvell,kirkwood-88f6702", "marvell,kirkwood";
 
+	aliases {
+		led-boot = &led_green_sys;
+		led-failsafe = &led_red_sys;
+		led-running = &led_green_sys;
+		led-upgrade = &led_red_sys;
+	};
+
 	memory {
 		device_type = "memory";
 		reg = <0x00000000 0x10000000>;
@@ -96,14 +103,16 @@
 			gpios = <&gpio0 23 GPIO_ACTIVE_HIGH>;
 		};
 
-		led-6 {
+		led_green_sys: led-6 {
+			label = "nsa310s:green:sys";
 			function = LED_FUNCTION_STATUS;
 			color = <LED_COLOR_ID_GREEN>;
 			gpios = <&gpio0 28 GPIO_ACTIVE_HIGH>;
 			linux,default-trigger = "default-on";
 		};
 
-		led-7 {
+		led_red_sys: led-7 {
+			label = "nsa310s:red:sys";
 			function = LED_FUNCTION_STATUS;
 			color = <LED_COLOR_ID_RED>;
 			gpios = <&gpio0 29 GPIO_ACTIVE_HIGH>;
